# $Revision: 1.6 $, $Date: 2012/06/07 11:17:37 $
Summary:	Identify what's using up virtual memory
Summary(pl.UTF-8):	Identyfikacja procesów korzystających z pamięci wirtualnej
Name:		memstat
Version:	0.9
Release:	1
License:	GPL v2
Group:		Applications
Source0:	http://ftp.debian.org/debian/pool/main/m/memstat/%{name}_%{version}.tar.gz
# Source0-md5:	b4ee74125d9da23d64646f5feee4b149
Patch0:		%{name}-make.patch
URL:		http://packages.qa.debian.org/m/memstat.html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Lists all the processes, executables, and shared libraries that are
using up virtual memory. It's helpful to see how the shared memory is
used and which 'old' libs are loaded.

%description -l pl.UTF-8
Program ten wyświetla listę procesów, plików uruchamialnych oraz
bibliotek współdzielonych korzystających z pamięci wirtualnej.
Narzędzie to jest przydatne, aby dowiedzieć się jak pamięć
współdzielona jest wykorzystywana i jakie starsze wersje bibliotek są
załadowane.

%prep
%setup -q -n %{name}tool
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir},%{_mandir}/man1}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc memstat-tutorial.txt
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/memstat.1*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: memstat.spec,v $
Revision 1.6  2012/06/07 11:17:37  blekot
- up to 0.9

Revision 1.5  2009/06/10 12:57:43  amateja
- updated to 0.8

Revision 1.4  2009/06/10 12:56:51  amateja
- updated to 0.7

Revision 1.3  2008/11/19 10:24:59  glen
- release 2

Revision 1.2  2008/10/20 16:10:10  glen
- do not strip in make install to have -debuginfo usable

Revision 1.1  2008/10/20 11:19:25  adamg
- new
